#include<iostream>
#include<algorithm>
using namespace std;

void kuik(double a[],double p[], int levi, int desni)
{
	if(levi<desni)
	{
		double pivot=p[desni];
		int i=levi, j=desni;
		do{
			while(p[i]<pivot) i++;
			while(p[j]>=pivot && j>i) j--;
			if(j>i)
			{
				swap(a[i], a[j]);
				swap(p[i], p[j]);
			}
		}
		while(i!=j);
		swap(a[i], a[desni]);
		swap(p[i], p[desni]);
		kuik(a, p, levi, i-1);
		kuik(a, p, i+1, desni);
	}
}
double a[200001];
double p[200001];
int main()
{
	int n;
	cin>>n;
	for(int i=0; i<n; i++)
	{
		cin>>a[i]>>p[i];
	}
	kuik(a, p, 0, n-1);
	double rez=0, rez1=0, ostatak=0, ostatak1=0;
	double zbir=0;
	for(int i=n-1; i>=0; i--)
	{
		zbir+=a[i];
		rez1=zbir*p[i]/100;
		ostatak1=0-(int)rez1+zbir*p[i]/100;
		if(rez<rez1) {rez=rez1; ostatak=ostatak1;}
	}
	if(rez<rez1) { rez=rez1; ostatak=ostatak1;}
	if(ostatak==0) cout<<rez;
	else cout<<rez-1<<ostatak;
	return 0;
}